メインコンテンツへスキップ
GET
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
builds
org のビルドを一覧表示する
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/builds \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "build_id": "<string>",
      "completed_at": 123,
      "created_at": 123,
      "pinned": true,
      "started_at": 123,
      "status": "pending",
      "trigger": "manual",
      "triggered_by_user_id": "<string>",
      "updated_at": 123
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

権限

組織レベルの ManageRepoBlueprints 権限を持つサービスユーザーが必要です。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

クエリパラメータ

qs
CursorPaginationParams · object
必須
status
enum<string> | null

spec のステータスで絞り込みます。

利用可能なオプション:
pending,
running,
succeeded,
failed,
cancelled
active
boolean | null

true の場合、0 個または 1 個のアイテムを返します。新しいセッションで現在利用されている image に対応するビルドを返します。

レスポンス

成功レスポンス

items
Build · object[]
必須
end_cursor
string | null

次のページを取得するためのカーソル。これが最後のページの場合は None。

has_next_page
boolean
デフォルト:false

このページの後に利用可能なアイテムがさらにあるかどうか。

total
integer | null

合計件数(省略可。パフォーマンス上の理由で省略される場合があります)。